ContextUtils (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.util.ContextUtils class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.util
Class ContextUtils

    java.lang.Object
      org.hyperic.hq.ui.util.ContextUtils

    public class ContextUtils

extends java.lang.Object

Utilities class that provides convenience methods for operating on the servlet context.

Constructor Summary
`ContextUtils()`

Method Summary
`static org.hyperic.hq.bizapp.shared.AIBoss` | `getAIBoss(javax.servlet.ServletContext ctx)` Consult the cached `ServiceLocator` for an instance of `AppdefBoss`.
`static org.hyperic.hq.bizapp.shared.AppdefBoss` | `getAppdefBoss(javax.servlet.ServletContext ctx)` Consult the cached `ServiceLocator` for an instance of `AppdefBoss`.
`static org.hyperic.hq.bizapp.shared.AuthBoss` | `getAuthBoss(javax.servlet.ServletContext ctx)` Consult the cached `ServiceLocator` for an instance of `AuthBoss`.
`static org.hyperic.hq.bizapp.shared.AuthzBoss` | `getAuthzBoss(javax.servlet.ServletContext ctx)` Consult the cached `ServiceLocator` for an instance of `AuthzBoss`.
`static org.hyperic.hq.bizapp.shared.ConfigBoss` | `getConfigBoss(javax.servlet.ServletContext ctx)` Consult the cached `ServiceLocator` for an instance of `ConfigBoss`.
`static org.hyperic.hq.bizapp.shared.ControlBoss` | `getControlBoss(javax.servlet.ServletContext ctx)` Consult the cached `ServiceLocator` for an instance of `ControlBoss`.
`static org.hyperic.hq.bizapp.shared.EventLogBoss` | `getEventLogBoss(javax.servlet.ServletContext ctx)` Consult the cached `ServiceLocator` for an instance of `EventBoss`.
`static org.hyperic.hq.bizapp.shared.EventsBoss` | `getEventsBoss(javax.servlet.ServletContext ctx)` Consult the cached `ServiceLocator` for an instance of `EventsBoss`.
`static org.hyperic.hq.bizapp.shared.GalertBoss` | `getGalertBoss(javax.servlet.ServletContext ctx)`
`static org.hyperic.hq.bizapp.shared.MeasurementBoss` | `getMeasurementBoss(javax.servlet.ServletContext ctx)` Consult the cached `ServiceLocator` for an instance of `MeasurementBoss`.
`static org.hyperic.hq.bizapp.shared.ProductBoss` | `getProductBoss(javax.servlet.ServletContext ctx)` Consult the cached `ServiceLocator` for an instance of `ProductBoss`.
`protected static ServiceLocator` | `getServiceLocator(javax.servlet.ServletContext ctx)` Return the cached `ServiceLocator`, loading it if necessary.
`static UIUtils` | `getUIUtils(javax.servlet.ServletContext ctx)` Consult the cached `ServiceLocator` for an instance of `UIUtils`.
`static org.hyperic.hq.bizapp.shared.UpdateBoss` | `getUpdateBoss(javax.servlet.ServletContext ctx)`
`static java.util.Properties` | `loadProperties(javax.servlet.ServletContext ctx, java.lang.String filename)` Load the specified properties file and return the properties.
`static void` | `saveProperties(javax.servlet.ServletContext ctx, java.lang.String filename, java.util.Properties props)`
`static boolean` | `usingJDBCAuthentication(javax.servlet.ServletContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextUtils

    public ContextUtils()

Method Detail

### getServiceLocator

    protected static ServiceLocator getServiceLocator(javax.servlet.ServletContext ctx)
                                               throws ServiceLocatorException

  Return the cached `ServiceLocator`, loading it if necessary.

  Parameters:
    `ctx` - the `ServletContext`
  Throws:
    `ServiceLocatorException`

### getAppdefBoss

    public static org.hyperic.hq.bizapp.shared.AppdefBoss getAppdefBoss(javax.servlet.ServletContext ctx)
                                                                 throws ServiceLocatorException

  Consult the cached `ServiceLocator` for an instance of `AppdefBoss`.

  Parameters:
    `ctx` - the `ServletContext`
  Throws:
    `ServiceLocatorException`

### getAIBoss

    public static org.hyperic.hq.bizapp.shared.AIBoss getAIBoss(javax.servlet.ServletContext ctx)
                                                         throws ServiceLocatorException

  Consult the cached `ServiceLocator` for an instance of `AppdefBoss`.

  Parameters:
    `ctx` - the `ServletContext`
  Throws:
    `ServiceLocatorException`

### getConfigBoss

    public static org.hyperic.hq.bizapp.shared.ConfigBoss getConfigBoss(javax.servlet.ServletContext ctx)
                                                                 throws ServiceLocatorException

  Consult the cached `ServiceLocator` for an instance of `ConfigBoss`.

  Parameters:
    `ctx` - the `ServletContext`
  Throws:
    `ServiceLocatorException`

### getAuthBoss

    public static org.hyperic.hq.bizapp.shared.AuthBoss getAuthBoss(javax.servlet.ServletContext ctx)
                                                             throws ServiceLocatorException

  Consult the cached `ServiceLocator` for an instance of `AuthBoss`.

  Parameters:
    `ctx` - the `ServletContext`
  Throws:
    `ServiceLocatorException`

### getAuthzBoss

    public static org.hyperic.hq.bizapp.shared.AuthzBoss getAuthzBoss(javax.servlet.ServletContext ctx)
                                                               throws ServiceLocatorException

  Consult the cached `ServiceLocator` for an instance of `AuthzBoss`.

  Parameters:
    `ctx` - the `ServletContext`
  Throws:
    `ServiceLocatorException`

### getEventsBoss

    public static org.hyperic.hq.bizapp.shared.EventsBoss getEventsBoss(javax.servlet.ServletContext ctx)
                                                                 throws ServiceLocatorException

  Consult the cached `ServiceLocator` for an instance of `EventsBoss`.

  Parameters:
    `ctx` - the `ServletContext`
  Throws:
    `ServiceLocatorException`

### getMeasurementBoss

    public static org.hyperic.hq.bizapp.shared.MeasurementBoss getMeasurementBoss(javax.servlet.ServletContext ctx)
                                                                           throws ServiceLocatorException

  Consult the cached `ServiceLocator` for an instance of `MeasurementBoss`.

  Parameters:
    `ctx` - the `ServletContext`
  Throws:
    `ServiceLocatorException`

### getProductBoss

    public static org.hyperic.hq.bizapp.shared.ProductBoss getProductBoss(javax.servlet.ServletContext ctx)
                                                                   throws ServiceLocatorException

  Consult the cached `ServiceLocator` for an instance of `ProductBoss`.

  Parameters:
    `ctx` - the `ServletContext`
  Throws:
    `ServiceLocatorException`

### getEventLogBoss

    public static org.hyperic.hq.bizapp.shared.EventLogBoss getEventLogBoss(javax.servlet.ServletContext ctx)
                                                                     throws ServiceLocatorException

  Consult the cached `ServiceLocator` for an instance of `EventBoss`.

  Parameters:
    `ctx` - the `ServletContext`
  Throws:
    `ServiceLocatorException`

### getControlBoss

    public static org.hyperic.hq.bizapp.shared.ControlBoss getControlBoss(javax.servlet.ServletContext ctx)
                                                                   throws ServiceLocatorException

  Consult the cached `ServiceLocator` for an instance of `ControlBoss`.

  Parameters:
    `ctx` - the `ServletContext`
  Throws:
    `ServiceLocatorException`

### getGalertBoss

    public static org.hyperic.hq.bizapp.shared.GalertBoss getGalertBoss(javax.servlet.ServletContext ctx)
                                                                 throws ServiceLocatorException

  Throws:
    `ServiceLocatorException`

### getUpdateBoss

    public static org.hyperic.hq.bizapp.shared.UpdateBoss getUpdateBoss(javax.servlet.ServletContext ctx)
                                                                 throws ServiceLocatorException

  Throws:
    `ServiceLocatorException`

### usingJDBCAuthentication

    public static boolean usingJDBCAuthentication(javax.servlet.ServletContext ctx)
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### saveProperties

    public static void saveProperties(javax.servlet.ServletContext ctx,
                                      java.lang.String filename,
                                      java.util.Properties props)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### loadProperties

    public static java.util.Properties loadProperties(javax.servlet.ServletContext ctx,
                                                      java.lang.String filename)
                                               throws java.lang.Exception

  Load the specified properties file and return the properties.

  Parameters:
    `ctx` - the `ServletContext`
    `filename` - the fully qualifed name of the properties file
  Throws:
    `java.lang.Exception` - if a problem occurs while loading the file

### getUIUtils

    public static UIUtils getUIUtils(javax.servlet.ServletContext ctx)
                              throws ServiceLocatorException

  Consult the cached `ServiceLocator` for an instance of `UIUtils`.

  Parameters:
    `ctx` - the `ServletContext`
  Throws:
    `ServiceLocatorException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.